Subject: bug#21509: 25.0.50; X11 error: BadPixmap when creating first emacsclient frame; and memory leak

From: martin rudalics <[email-masked]>
Date: Sun, 03 Sep 2017 12:15:18 +0200

Dima, just in case you're still around

 > The issue is an X11 BadPixmap error thrown maybe 20% of the time when
 > the FIRST client frame is opened. I have only tested with the lucid
 > widgets. Steps:
 >
 >    1. emacs -Q --daemon
 >    2. In bash:   while true; do timeout 1 emacsclient -a '' -c; sleep 1; done;
 >
 > So I spawn a new frame kill it after 1 second, then wait 1 more second
 > and repeat. Most of the time this looks like what you'd expect. About
 > 20% of the time, however, the new X window pops up momentarily, and
 > instantly goes away. What's happening internally is apparently an X11
 > error that blows up the window. This isn't printed anywhere, but I use
 > perf to see it:
 >
 >     # perf probe -x /usr/bin/emacs --add 'x_connection_closed error_message:string'
 >     ...
 >
 >     # perf record -p `pidof emacs` -eprobe_emacs:x_connection_closed
 >     ... Ctrl-c when done
 >
 >     # perf script
 >         emacs-tst 24692 [000] 443392.814048: probe_emacs:x_connection_closed: (4c0000) error_message_string="X protocol error: BadPixmap (invalid Pixmap parameter) on protocol request 55"

I now installed in master a "fix" for this, see also the discussion of
Bug#27816.

Can you try it and also check whether it has any implications on the
memory leak problem?

Thanks, martin